## kicad 0.0.20110616

=== kicad/CMakeLists.txt ===
project(kicad)

# test the minimum Cmake version requirement (could be different under unix or Windows
if(WIN32)
    cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)
else(WIN32)
    cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)
endif(WIN32)

# Path to local CMake modules.
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMakeModules)

# Command line option to enable or disable building minizip. Minizip
# building is enabled by default. Use -DKICAD_MINIZIP=OFF to disable
# building minizip.
option(KICAD_MINIZIP "enable/disable building minizip (default ON)" ON)

# Russian GOST patch
option(wxUSE_UNICODE "enable/disable building unicode (default OFF)")
option(KICAD_GOST "enable/disable building using GOST notation for multiple gates per package (default OFF)")

#for those who bored with uppercase
option(KICAD_KEEPCASE "turn-off automatic component name conversion to uppercase if selected")

option(USE_WX_GRAPHICS_CONTEXT
       "Use wxGraphicsContext for rendering (default OFF). Warning, this is experimental")

option(USE_WX_OVERLAY
       "Use wxOverlay: Always ON for MAC (default OFF). Warning, this is experimental")

option(USE_BOOST_POLYGON_LIBRARY
       "Use boost polygon library instead of Kbool to calculate filled areas in zones (default ON)."
       ON )

#One of these 2 option *must* be set to ON:
option(KICAD_STABLE_VERSION
       "set this option to ON to build the stable version of KICAD. mainly used to set version ID (default OFF)"
       )

option(KICAD_TESTING_VERSION
       "set this option to ON to build the stable version of KICAD. mainly used to set version ID (default OFF)"
       )

#Set version option (stable or testing)

if (KICAD_STABLE_VERSION )
    if ( KICAD_TESTING_VERSION )
        message( FATAL_ERROR
        "Please set to ON only one option KICAD_TESTING_VERSION or KICAD_STABLE_VERSION" )
    endif( KICAD_TESTING_VERSION )
    add_definitions(-DKICAD_STABLE_VERSION)
    message( "Build stable version of Kicad" )
else (KICAD_STABLE_VERSION )
    if (KICAD_TESTING_VERSION )
        add_definitions(-DKICAD_TESTING_VERSION)
        message( "Build testing (unstable) version of Kicad" )
    else (KICAD_TESTING_VERSION )
        message( "Please set to ON one option of KICAD_TESTING_VERSION or KICAD_STABLE_VERSION" )
        message( "When calling cmake add option -DKICAD_STABLE_VERSION=ON" )
        message( "or add option -DKICAD_TESTING_VERSION=ON" )
        message( FATAL_ERROR "one option of KICAD_TESTING_VERSION or KICAD_STABLE_VERSION must be defined" )
    endif(KICAD_TESTING_VERSION )
endif(KICAD_STABLE_VERSION )



#================================================
# Set flags for GCC.
#================================================

if(CMAKE_COMPILER_IS_GNUCXX)
    # Set default flags for Release build.
    set(CMAKE_C_FLAGS_RELEASE "-Wall -O2 -DNDEBUG ")
    set(CMAKE_CXX_FLAGS_RELEASE "-Wall -O2 -DNDEBUG")
    set(CMAKE_EXE_LINKER_FLAGS_RELEASE "-s -static-libgcc")

    # Set default flags for Debug build.
    set(CMAKE_C_FLAGS_DEBUG "-Wall -g3 -ggdb3 -DDEBUG")
    set(CMAKE_CXX_FLAGS_DEBUG "-Wall -g3 -ggdb3 -DDEBUG")
endif(CMAKE_COMPILER_IS_GNUCXX)

if(wxUSE_UNICODE)
    add_definitions(-DwxUSE_UNICODE)
endif(wxUSE_UNICODE)

if(KICAD_GOST)
    add_definitions(-DKICAD_GOST)
endif(KICAD_GOST)

if(KICAD_KEEPCASE)
    add_definitions(-DKICAD_KEEPCASE)
endif(KICAD_KEEPCASE)

if(USE_WX_OVERLAY OR APPLE)
    add_definitions(-DUSE_WX_OVERLAY)
endif(USE_WX_OVERLAY OR APPLE)


if(USE_WX_GRAPHICS_CONTEXT)
    add_definitions(-DUSE_WX_GRAPHICS_CONTEXT)
endif(USE_WX_GRAPHICS_CONTEXT)

if(USE_BOOST_POLYGON_LIBRARY)
    set( USE_BOOST_POLYGON_LIBRARY ON )
    add_definitions(-DUSE_BOOST_POLYGON_LIBRARY)
endif(USE_BOOST_POLYGON_LIBRARY)

# Locations for install targets.
set(KICAD_BIN bin
    CACHE PATH "Location of KiCad binaries.")

if(UNIX)
    # Everything without leading / is relative to CMAKE_INSTALL_PREFIX.
    set(KICAD_PLUGINS lib/kicad/plugins
        CACHE PATH "Location of KiCad plugins.")
    set(KICAD_DATA share/kicad
        CACHE PATH "Location of KiCad data files.")
    set(KICAD_DOCS share/doc/kicad
        CACHE PATH "Location of KiCad documentation files.")
endif(UNIX)

if(WIN32)
    # Like all variables, CMAKE_INSTALL_PREFIX can be over-ridden on the command line.
    set(CMAKE_INSTALL_PREFIX c:/kicad
        CACHE PATH "")
    # Everything without leading / is relative to CMAKE_INSTALL_PREFIX.
    set(KICAD_PLUGINS ${KICAD_BIN}/plugins
        CACHE PATH "Location of KiCad plugins.")
    set(KICAD_DATA share
        CACHE PATH "Location of KiCad data files.")
    set(KICAD_DOCS doc
        CACHE PATH "Location of KiCad documentation files.")
endif(WIN32)

set(KICAD_DEMOS ${KICAD_DATA}/demos
    CACHE PATH "Location of KiCad demo files.")
set(KICAD_TEMPLATE ${KICAD_DATA}/template
    CACHE PATH "Location of KiCad template files.")

mark_as_advanced(KICAD_BIN
                 KICAD_PLUGINS
                 KICAD_DATA
                 KICAD_DOCS
                 KICAD_DEMOS
                 KICAD_TEMPLATE)

include(Functions)

#================================================
# Find libraries that are needed to build KiCad.
#================================================
include(CheckFindPackageResult)

#######################
# Find OpenGL library #
#######################
find_package(OpenGL QUIET)
check_find_package_result(OPENGL_FOUND "OpenGL")

######################
# Find Boost library #
######################
# kicad now includes needed boost files.
# the two next lines can be uncommented to use the native boost lib.
# but this is not a good idea
#find_package(Boost 1.36 QUIET)
#check_find_package_result(Boost_FOUND "Boost")

##########################
# Find wxWidgets library #
##########################
# Here you can define what libraries of wxWidgets you need for your
# application. You can figure out what libraries you need here;
# http://www.wxwidgets.org/manuals/2.8/wx_librarieslist.html

# On Apple only wxwidgets 2.9 or higher doesn't need to find aui part of base
if(APPLE)
    find_package(wxWidgets COMPONENTS gl adv html core net base xml QUIET)
else(APPLE)
    find_package(wxWidgets COMPONENTS gl aui adv html core net base xml QUIET)
endif(APPLE)
check_find_package_result(wxWidgets_FOUND "wxWidgets")


# Include wxWidgets macros.
include(${wxWidgets_USE_FILE})

# Include MinGW resource compiler.
include(MinGWResourceCompiler)

# Generate build system specific header file.
include(PerformFeatureChecks)
perform_feature_checks()

# Find GDI+ on windows if wxGraphicsContext is available.
if(WIN32 AND USE_WX_GRAPHICS_CONTEXT)
    find_package(GdiPlus)
    check_find_package_result(GDI_PLUS_FOUND "GDI+")
endif(WIN32 AND USE_WX_GRAPHICS_CONTEXT)

# Automagically create version header file.
include(CreateBzrVersionHeader)
create_bzr_version_header()

if(EXISTS ${CMAKE_SOURCE_DIR}/include/config.h)
    # This file may exist (created by an alternate process to the svn test above),
    # e.g. could be created by a checkout script that produces a source tar file.
    # This directive means the about box will have the svn date & revision in it,
    # but the hard coded release date (program version) will be preserved.
    add_definitions(-DHAVE_SVN_REVISION)
endif(EXISTS ${CMAKE_SOURCE_DIR}/include/config.h)


# Include paths.
include_directories(${CMAKE_SOURCE_DIR}/include
                    ${CMAKE_SOURCE_DIR}/share
                    ${CMAKE_BINARY_DIR})


#================================================
# Let CMake look in these directories for nested
# 'CMakeLists.txt' files to process
#================================================

############
# Binaries #
############
add_subdirectory(3d-viewer)
add_subdirectory(bitmaps)
add_subdirectory(common)
add_subdirectory(cvpcb)
add_subdirectory(eeschema)
add_subdirectory(gerbview)
add_subdirectory(kicad)
add_subdirectory(pcbnew)
add_subdirectory(polygon)
add_subdirectory(polygon/kbool/src)
add_subdirectory(potrace)
add_subdirectory(bitmap2component)
#add_subdirectory(new)

#############
# Resources #
#############
add_subdirectory(demos)
add_subdirectory(template)

#================================================
# Doxygen Output
#================================================
find_package(Doxygen)
if(DOXYGEN_FOUND)
    add_custom_target( doxygen-docs ${DOXYGEN_EXECUTABLE}
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        DEPENDS Doxyfile )
else(DOXYGEN_FOUND)
    message( STATUS "WARNING: Doxygen not found - doxygen-docs (Source Docs) target not created" )
endif()


#================================================
# make uninstall rules
#================================================
configure_file(
  "${CMAKE_MODULE_PATH}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


#================================================
# Installation parameters
#================================================
install(FILES INSTALL.txt
        DESTINATION ${KICAD_DOCS}
        COMPONENT resources)
install(FILES resources/freeroute.jnlp
        DESTINATION ${KICAD_BIN}
        COMPONENT resources)
###
# Install scripts
###
if(UNIX)
    install(DIRECTORY scripts
            DESTINATION ${KICAD_DOCS}
            COMPONENT resources
            PATTERN ".svn" EXCLUDE)
endif(UNIX)
###
# FreeDesktop .desktop and MIME resources
###
if(UNIX)
    # Set paths
    set(UNIX_MIME_DIR resources/linux/mime)
    set(UNIX_MIMELNK_FILES ${UNIX_MIME_DIR}/mimelnk)
    set(UNIX_MIME_FILES ${UNIX_MIME_DIR}/mime)
    set(UNIX_ICONS_FILES ${UNIX_MIME_DIR}/icons)
    set(UNIX_APPLICATIONS_FILES ${UNIX_MIME_DIR}/applications)

    # Install Mimelnk directory
    install(DIRECTORY ${UNIX_MIMELNK_FILES}
            DESTINATION ${CMAKE_INSTALL_PREFIX}/share
            COMPONENT resources
            PATTERN ".svn" EXCLUDE)

    # Install Mime directory
    install(DIRECTORY ${UNIX_ICONS_FILES}
            DESTINATION ${CMAKE_INSTALL_PREFIX}/share
            COMPONENT resources
            PATTERN ".svn" EXCLUDE)

    # Install Icons
    install(DIRECTORY ${UNIX_MIME_FILES}
            DESTINATION ${CMAKE_INSTALL_PREFIX}/share
            COMPONENT resources
            PATTERN ".svn" EXCLUDE)

    # Install Applications directory (.desktop files)
    install(DIRECTORY ${UNIX_APPLICATIONS_FILES}
            DESTINATION ${CMAKE_INSTALL_PREFIX}/share
            COMPONENT resources
            PATTERN ".svn" EXCLUDE)
endif(UNIX)

include(CTest)

=== kicad-library/modules/CMakeLists.txt ===
file(GLOB brd_files "*.brd")
file(GLOB equ_files "*.equ")
file(GLOB mdc_files "*.mdc")
file(GLOB mod_files "*.mod")

install(FILES ${brd_files}
        DESTINATION ${KICAD_MODULES}
        COMPONENT resources)

install(FILES ${equ_files}
        DESTINATION ${KICAD_MODULES}
        COMPONENT resources)

install(FILES ${mdc_files}
        DESTINATION ${KICAD_MODULES}
        COMPONENT resources)

install(FILES ${mod_files}
        DESTINATION ${KICAD_MODULES}
        COMPONENT resources)

install(DIRECTORY packages3d
        DESTINATION ${KICAD_MODULES}
        COMPONENT resources
        PATTERN ".svn" EXCLUDE)

install(DIRECTORY footprints_doc
        DESTINATION ${KICAD_MODULES}
        COMPONENT resources
        PATTERN ".svn" EXCLUDE)

=== kicad/bitmap2component/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ../potrace
                    ../polygon/kbool/include
                    )

set(BITMAP2COMPONENT_SRCS
    bitmap2component.cpp
    bitmap2cmp_gui_base
    bitmap2cmp_gui
    )

if(WIN32)
    if(MINGW)
        # BITMAP2COMPONENT_RESOURCES variable is set by the macro.
        mingw_resource_compiler(bitmap2component)
    else(MINGW)
        set(BITMAP2COMPONENT_RESOURCES bitmap2component.rc)
    endif(MINGW)
endif(WIN32)


if(APPLE)
    set(BITMAP2COMPONENT_RESOURCES bitmap2component.icns)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/bitmap2component.icns"
                                PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set(MACOSX_BUNDLE_ICON_FILE bitmap2component.icns)
    set(MACOSX_BUNDLE_GUI_IDENTIFIER org.kicad-eda.bitmap2component)
endif(APPLE)



add_executable(bitmap2component WIN32 MACOSX_BUNDLE
                            ${BITMAP2COMPONENT_SRCS}
                            ${BITMAP2COMPONENT_RESOURCES})


if(APPLE)
    set_target_properties(bitmap2component PROPERTIES MACOSX_BUNDLE_INFO_PLIST
        ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
endif(APPLE)

target_link_libraries( bitmap2component
                        ${wxWidgets_LIBRARIES}
                        potrace
                        kbool )

install(TARGETS bitmap2component
        DESTINATION ${KICAD_BIN}
        COMPONENT binary)

=== kicad/bitmaps/CMakeLists.txt ===
# Generate a static library target named "bitmaps"
# (with filename libbitmaps.a on Linux)

# Copy the *.xpm files to ${XPM_CPP_PATH}/*.cpp, on change only.
# Compile those *.cpp files and put them into the library, then done.

# NAKed by Dick:
# builds a set of all the .xpm files
# file(GLOB BITMAP_SRCS *.xpm)  NO, does not build proper dependency
# generation or allow renaming of bitmap files, NAKed by Dick.
# this is twice now I've had to change this.

# Dick: use this one instead:
set(BITMAP_SRCS
    3d.xpm
    Add_Arc.xpm
    Add_Bus2Bus.xpm
    add_bus.xpm
    Add_Circle.xpm
    Add_Component.xpm
    Add_Corner.xpm
    Add_Dashed_Line.xpm
    add_dimension.xpm
    Add_Entry.xpm
    Add_GLabel.xpm
    add_hierarchical_label.xpm
    add_hierar_pin.xpm
    add_hierar_subsheet.xpm
    Add_Junction.xpm
    Add_Line2Bus.xpm
    Add_Line_Label.xpm
    Add_Line.xpm
    Add_Mires.xpm
    Add_Polygon.xpm
    Add_Power.xpm
    Add_Rectangle.xpm
    Add_Text.xpm
    Add_Tracks.xpm
    Add_Zone_Cutout.xpm
    Add_Zone.xpm
    anchor.xpm
    annotate_down_right.xpm
    annotate_right_down.xpm
    annotate.xpm
    Apply.xpm
    auto_associe.xpm
    Auto_track_width.xpm
    axis3d_back.xpm
    axis3d_bottom.xpm
    axis3d_front.xpm
    axis3d_left.xpm
    axis3d_right.xpm
    axis3d_top.xpm
    axis3d.xpm
    backanno.xpm
    book.xpm
    Break_Bus.xpm
    Break_Line.xpm
    Browse_Files.xpm
    cancel_tool.xpm
    Cancel.xpm
    create_cmp_file.xpm
    checked_ok.xpm
    component_select_unit.xpm
    component_select_alternate_shape.xpm
    config.xpm
    CopyBlock.xpm
    copyComponent.xmp
    copy.xpm
    copper_layers_setup.cpp
    Cursor_Shape.xpm
    cursor.xpm
    cut.xpm
    cvpcb.xpm
    dashline.xpm
    Datasheet.xpm
    del_body.xpm
    Delete_Arc.xpm
    delete_association.xpm
    Delete_Bus.xpm
    Delete_Circle.xpm
    Delete_Connection.xpm
    Delete_Cotation.xpm
    Delete_Field.xpm
    Delete_GLabel.xpm
    Delete_Line.xpm
    Delete_Module.xpm
    Delete_Net.xpm
    Delete_Node.xpm
    Delete_Pad.xpm
    Delete_Pinsheet.xpm
    Delete_Pin.xpm
    Delete_Polygon.xpm
    Delete_Rectangle.xpm
    Delete_Segment.xpm
    Delete_Sheet.xpm
    Delete_Text.xpm
    Delete_Track.xpm
    delete.xpm
    del_track.xpm
    directory.xpm
    Display_Options.xpm
    down.xpm
    Drag_Module.xpm
    Drag_Outline_Segment.xpm
    Drag_Pad.xpm
    Drag_Segment_WithSlope.xpm
    Drag_Track_Segment.xpm
    drc_off.xpm
    drc.xpm
    Edges_Sketch.xpm
    Edit_Comp_Footprint.xpm
    Edit_Component.xpm
    Edit_Comp_Ref.xpm
    Edit_Comp_Value.xpm
    Edit_Module.xpm
    Editor.xpm
    Edit_Part.xpm
    Edit_Sheet.xpm
    Edit_Text.xpm
    Edit.xpm
    eeschema.xpm
    Enter_Sheet.xpm
    ercerr.xpm
    ercgreen.xpm
    ercwarn.xpm
    erc.xpm
    Exit.xpm
    export_footprint_names.xpm
    Export_Module.xpm
    Export_Options_Pad.xpm
    export.xpm
    fabrication.xpm
    File_FootPrint.xpm
    fill_zone.xpm
    find_xpm.xpm
    Flag.xpm
    Fonts.xpmr
    Footprint_Text.xpm
    gbr_select_mode0.xpm
    gbr_select_mode1.xpm
    gbr_select_mode2.xpm
    gerber_file.xpm
    gerber_recent_files.xpm
    gerbview_drill_file.xpm
    gerbview_clear_layers.xpm
    gerber_open_dcode_file.xpm
    general_deletions.xpm
    general_ratsnet.xpm
    GLabel2Label.xpm
    GLabel2Text.xpm
    GL_Change.xpm
    Global_Options_Pad.xpm
    green.xpm
    grid_select.xpm
    grid_select_axis.xpm
    grid.xpm
    hammer.xpm
    help.xpm
    Hidden_Pin.xpm
    Hierarchy_cursor.xpm
    Hierarchy_Nav.xpm
    hotkeys.xpm
    icon_3d.xpm
    icon_cvpcb_small.xpm
    icon_cvpcb.xpm
    icon_eeschema.xpm
    icon_gerbview_small.xpm
    icon_gerbview.xpm
    icon_kicad.xpm
    icon_modedit.xpm
    icon_pcbnew.xpm
    icon_txt.xpm
    import3d.xpm
    import_cmp_from_lib.xpm
    import_footprint_names.xpm
    import_hierarchical_label.xpm
    Import_Module.xpm
    import.xpm
    Info.xpm
    Insert_Module_Board.xpm
    Invert_Module.xpm
    invisible_text.xpm
    jigsaw.xpm
    kicad_icon_small.xpm
    Label2GLabel.xpm
    Label2Text.xpm
    label.xpm
    Lang_Catalan.xpm
    Lang_chinese.xpm
    Lang_Cs.xpm
    Lang_Default.xpm
    Lang_De.xpm
    Lang_En.xpm
    Lang_Es.xpm
    Lang_Fr.xpm
    Lang_Fi.xpm
    Lang_Gr.xpm
    Lang_Hu.xpm
    Lang_It.xpm
    Lang_Jp.xpm
    Lang_Ko.xpm
    Lang_Nl.xpm
    Lang_Pl.xpm
    Lang_Pt.xpm
    Lang_Ru.xpm
    Lang_Sl.xpm
    Language.xpm
    layers_manager.xpm
    Leave_Sheet.xpm
    left.xpm
    libedit_icon.xpm
    libedit.xpm
    libedprt.xpm
    Lib_next.xpm
    Lib_previous.xpm
    library_browse.xpm
    library_update.xpm
    library.xpm
    libsavem.xpm
    libview.xpm
    Lines90.xpm
    Load_Module_Board.xpm
    Load_Module_Lib.xpm
    local_ratsnet.xpm
    Locked.xpm
    mirepcb.xpm
    Mirror_H.xpm
    Mirror_V.xpm
    modedit.xpm
    Mode_Module.xpm
    Mode_Track.xpm
    modratsnest.xpm
    Module_Check.xpm
    Modul_Edit.xpm
    module_filtered_list.xpm
    module_full_list.xpm
    module_options.xpm
    Module_Ratsnet.xpm
    module.xpm
    Morgan1.xpm
    Morgan2.xpm
    Move_Arc.xpm
    Move_Circle.xpm
    Move_Field.xpm
    Move_GLabel.xpm
    Move_Line.xpm
    Move_Module.xpm
    Move_Pad.xpm
    Move_Pinsheet.xpm
    Move_Pin.xpm
    Move_Polygon.xpm
    Move_Rectangle.xpm
    Move_Sheet.xpm
    Move_Text.xpm
    Move_Track_Segment.xpm
    Move_Track.xpm
    Move.xpm
    mw_Add_Gap.xpm
    mw_Add_Line.xpm
    mw_Add_Shape.xpm
    mw_Add_stub_arc.xpm
    mw_Add_Stub.xpm
    mw_toolbar.xpm
    Net_HighLight.xpm
    netlist.xpm
    Net_Locked.xpm
    Net_UnLocked.xpm
    new_component.xpm
    new_cvpcb.xpm
    New_FootPrint.xpm
    New_Library.xpm
    New_Module.xpm
    new_pcb.xpm
    New_Project.xpm
    new_sch.xpm
    new_txt.xpm
    new.xpm
    noconn.xpm
    Normal.xpm
    online_help.xpm
    Open_Library.xpm
    Open_Project.xpm
    open_document.xpm
    options_all_tracks_and_vias.xpm
    Options_All_Tracks.xpm
    Options_All_Vias.xpm
    Options_Arc.xpm
    Options_Circle.xpm
    Options_Module.xpm
    Options_New_Pad.xpm
    Options_Pad.xpm
    Options_Pinsheet.xpm
    Options_Pin.xpm
    Options_Rectangle.xpm
    Options_Segment.xpm
    Options_Text.xpm
    Options_Tracks.xpm
    Options_Track.xpm
    Options_Vias.xpm
    opt_show_polygon.xpm
    Orient.xpm
    ortho.xpm
    Pad_Sketch.xpm
    pad.xpm
    pads_mask_layers.xpm
    palette.xpm
    part_properties.xpm
    paste.xpm
    pcbnew.xpm
    PcbOffset.xpm
    pin2pin.xpm
    Pin_Name_to.xpm
    Pin_Number_to.xpm
    Pin_Size_to.xpm
    pinorient_right.xpm
    pinorient_left.xpm
    pinorient_up.xpm
    pinorient_down.xpm
    pinshape_normal.xpm
    pinshape_invert.xpm
    pinshape_clock_normal.xpm
    pinshape_clock_invert.xpm
    pinshape_active_low_input.xpm
    pinshape_clock_active_low.xpm
    pinshape_active_low_output.xpm
    pinshape_clock_fall.xpm
    pinshape_nonlogic.xpm
    pintype_input.xpm
    pintype_output.xpm
    pintype_bidi.xpm
    pintype_3states.xpm
    pintype_passive.xpm
    pintype_notspecif.xpm
    pintype_powerinput.xpm
    pintype_poweroutput.xpm
    pintype_opencoll.xpm
    pintype_openemit.xpm
    pintype_noconnect.xpm
    Pin_to.xpm
    pin.xpm
    plot_HPG.xpm
    plot_PS.xpm
    plot_xpm.xpm
    polar.xpm
    Post_Compo.xpm
    Post_Drill.xpm
    Post_Module.xpm
    preference.xpm
    print.xpm
    ratsnest.xpm
    Read_SetUp.xpm
    redo.xpm
    red.xpm
    reload2.xpm
    reload.xpm
    Reset_Text.xpm
    Resize_Sheet.xpm
    right.xpm
    Rotate_Field.xpm
    Rotate_GLabel.xpm
    Rotate_Module-.xpm
    Rotate_Module+.xpm
    Rotate_Pin.xpm
    Rotate_CCW.xpm
    Rotate_CW.xpm
    rotate-x.xpm
    rotate+x.xpm
    rotate-y.xpm
    rotate+y.xpm
    rotate-z.xpm
    rotate+z.xpm
    save_as.xpm
    Save_Library.xpm
    Save_NetList.xpm
    Save_Project.xpm
    Save_SetUp.xpm
    save.xpm
    schematic.xpm
    select_grid.xpm
    Select_Layer_Pair.xpm
    Select_W_Layer.xpm
    shape_3d.xpm
    sheetset.xpm
    showdcode.xpm
    show_footprint.xpm
    showmodedge.xpm
    showtrack.xpm
    Show_Zone.xpm
    Show_Zone_Disable.xpm
    Show_Zone_Outline_Only.xpm
    Swap_Layer.xpm
    Text_Sketch.xpm
    tool_ratsnet.xpm
    tools.xpm
    Track_Locked.xpm
    Track_Sketch.xpm
    Track_UnLocked.xpm
    transistor.xpm
    treensel.xpm
    treesel.xpm
    undelete.xpm
    undo.xpm
    unit_inch.xpm
    unit_mm.xpm
    unknown.xpm
    Unlocked.xpm
    unzip.xpm
    Update_Module_Board.xpm
    up.xpm
    Via_Sketch.xpm
    viewlibs_icon.xpm
    Web_support.xpm
    Width_Net.xpm
    Width_Segment.xpm
    Width_Track_Via.xpm
    Width_Track.xpm
    Width_Vias.xpm
    window_close.xpm
    zip_tool.xpm
    zip.xpm
    zoom.xpm
    zoom_area.xpm
    zoom_fit_in_page.xpm
    zoom_center_on_screen.xpm
    zoom_in.xpm
    zoomoins3d.xpm
    zoom_out.xpm
    zoompage3d.xpm
    zoomplus3d.xpm
    zoom_redraw.xpm
    zoomrefr3d.xpm
    zoom_selection.xpm
)


# Get the path of the *.xpm files into "PATH"
set(PATH ${CMAKE_CURRENT_SOURCE_DIR})
#message("PATH = ${PATH}")

# The name of the directory to put the copied and renamed *.xpm files into.
# As files are copied they are renamed to *.cpp.
set(XPM_CPP_PATH "${CMAKE_BINARY_DIR}/bitmaps/auto_renamed_to_cpp"
    CACHE PATH "path to store renamed .xpm files for compilation")

foreach(LOOP_VAR ${BITMAP_SRCS})
    get_filename_component(BASENAME ${LOOP_VAR} NAME_WE)
    set(CPP_BITMAP "${XPM_CPP_PATH}/${BASENAME}.cpp")
    add_custom_command(
        OUTPUT ${CPP_BITMAP}
        COMMAND "${CMAKE_COMMAND}" -E copy "${PATH}/${BASENAME}.xpm" "${CPP_BITMAP}"
        DEPENDS ${BASENAME}.xpm)
    list(APPEND CPP_BITMAPS ${CPP_BITMAP})
    set_source_files_properties(${CPP_BITMAP} PROPERTIES COMPILE_FLAGS -DXPMMAIN)
endforeach(LOOP_VAR)

add_library(bitmaps ${CPP_BITMAPS})

=== kicad/common/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
                    ${Boost_INCLUDE_DIR}
                    ../3d-viewer
                    ../pcbnew
                    ../polygon
                   )

set( COMMON_ABOUT_DLG_SRCS
    dialog_about/AboutDialog_main.cpp
    dialog_about/dialog_about.cpp
    dialog_about/dialog_about_base.cpp
    dialogs/dialog_display_info_HTML_base.cpp
    dialogs/dialog_get_component.cpp
    dialogs/dialog_get_component_base.cpp
    dialogs/dialog_hotkeys_editor.cpp
    dialogs/dialog_hotkeys_editor_base.cpp
    dialogs/dialog_load_error.cpp
    dialogs/dialog_page_settings_base.cpp
)

set(COMMON_SRCS
    ${COMMON_ABOUT_DLG_SRCS}
    base_screen.cpp
    base_struct.cpp
    basicframe.cpp
    bezier_curves.cpp
    block_commande.cpp
    build_version.cpp
    class_colors_design_settings.cpp
    class_marker_base.cpp
    class_plotter.cpp
    class_undoredo_container.cpp
    common.cpp
    common_plot_functions.cpp
    common_plotHPGL_functions.cpp
    common_plotPS_functions.cpp
    common_plotGERBER_functions.cpp
    common_plotDXF_functions.cpp
    confirm.cpp
    copy_to_clipboard.cpp
    dcsvg.cpp
    displlst.cpp
    dlist.cpp
    drawframe.cpp
    drawpanel.cpp
    drawtxt.cpp
    dsnlexer.cpp
    edaappl.cpp
    eda_dde.cpp
    eda_doc.cpp
    filter_reader.cpp
    gestfich.cpp
    gr_basic.cpp
    hotkeys_basic.cpp
    hotkey_grid_table.cpp
    msgpanel.cpp
    netlist_keywords.cpp
    newstroke_font.cpp
    ../pcbnew/class_drc_item.cpp
    projet_config.cpp
    richio.cpp
    selcolor.cpp
    string.cpp
    wineda_toolbar.cpp
    trigo.cpp
    worksheet.cpp
    wxwineda.cpp
    xnode.cpp
    zoom.cpp
)

add_library(common ${COMMON_SRCS})

set(PCB_COMMON_SRCS
    pcbcommon.cpp
    footprint_info.cpp
    class_layer_box_selector.cpp
    ../pcbnew/basepcbframe.cpp
    ../pcbnew/class_board.cpp
    ../pcbnew/class_board_connected_item.cpp
    ../pcbnew/class_board_design_settings.cpp
    ../pcbnew/class_board_item.cpp
    ../pcbnew/class_dimension.cpp
    ../pcbnew/class_drawsegment.cpp
    ../pcbnew/class_drc_item.cpp
    ../pcbnew/class_edge_mod.cpp
    ../pcbnew/class_netclass.cpp
    ../pcbnew/class_netinfo_item.cpp
    ../pcbnew/class_netinfolist.cpp
    ../pcbnew/class_marker_pcb.cpp
    ../pcbnew/class_mire.cpp
    ../pcbnew/class_module.cpp
    ../pcbnew/class_module_transform_functions.cpp
    ../pcbnew/class_pad.cpp
    ../pcbnew/class_pad_draw_functions.cpp
    ../pcbnew/class_pcb_text.cpp
    ../pcbnew/class_text_mod.cpp
    ../pcbnew/class_track.cpp
    ../pcbnew/class_zone.cpp
    ../pcbnew/class_zone_setting.cpp
    ../pcbnew/classpcb.cpp
    ../pcbnew/collectors.cpp
    ../pcbnew/sel_layer.cpp
)

add_library(pcbcommon ${PCB_COMMON_SRCS})

# auto-generate netlist_lexer.h and netlist_keywords.cpp
make_lexer(
    ${CMAKE_CURRENT_SOURCE_DIR}/netlist.keywords
    ${PROJECT_SOURCE_DIR}/include/netlist_lexer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/netlist_keywords.cpp
    NL_T
    )

# The dsntest may not build properly using MS Visual Studio.
if(NOT MSVC)
    # This one gets made only when testing.
    # to build it, first enable #define STAND_ALONE at top of dsnlexer.cpp
    add_executable( dsntest EXCLUDE_FROM_ALL dsnlexer.cpp )
    target_link_libraries( dsntest common ${wxWidgets_LIBRARIES} )

endif( NOT MSVC )

=== kicad/cvpcb/CMakeLists.txt ===
add_definitions(-DCVPCB)

###
# Includes
###
include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
                    ${Boost_INCLUDE_DIR}
                    ../3d-viewer
                    ../pcbnew
                    ../polygon
                    ${CMAKE_SOURCE_DIR}/common)

###
# Sources
###
set(CVPCB_DIALOGS
    dialogs/dialog_cvpcb_config.cpp
    dialogs/dialog_cvpcb_config_fbp.cpp
    dialogs/dialog_display_options.cpp
    dialogs/dialog_display_options_base.cpp
    )

set(CVPCB_SRCS
    autosel.cpp
    cfg.cpp
    class_cvpcb.cpp
    class_components_listbox.cpp
    class_DisplayFootprintsFrame.cpp
    class_footprints_listbox.cpp
    cvframe.cpp
    cvpcb.cpp
    genequiv.cpp
    init.cpp
    listboxes.cpp
    loadcmp.cpp
    menubar.cpp
    readschematicnetlist.cpp
    savecmp.cpp
    setvisu.cpp
    tool_cvpcb.cpp
    writenetlistpcbnew.cpp)

###
# Windows resource file
###
if(WIN32)
    if(MINGW)
        # CVPCB_RESOURCES variable is set by the macro.
        mingw_resource_compiler(cvpcb)
    else(MINGW)
        set(CVPCB_RESOURCES cvpcb.rc)
    endif(MINGW)
endif(WIN32)

###
# Apple resource files
###
if(APPLE)
    set(CVPCB_RESOURCES cvpcb.icns cvpcb_doc.icns)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/cvpcb.icns"
                                PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/cvpcb_doc.icns"
                                PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set(MACOSX_BUNDLE_ICON_FILE cvpcb.icns)
    set(MACOSX_BUNDLE_GUI_IDENTIFIER org.kicad-eda.cvpcb)
endif(APPLE)

###
# Create the cvpcb executable
###
add_executable(cvpcb WIN32 MACOSX_BUNDLE
               ${CVPCB_SRCS}
               ${CVPCB_DIALOGS}
               ${CVPCB_RESOURCES})

###
# Set properties for APPLE on cvpcb target
###
if(APPLE)
    set_target_properties(cvpcb PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
endif(APPLE)

###
# Link executable target cvpcb with correct libraries
###
target_link_libraries(cvpcb 3d-viewer common pcbcommon polygon bitmaps kbool
                      ${OPENGL_LIBRARIES}
                      ${wxWidgets_LIBRARIES}
                      ${GDI_PLUS_LIBRARIES}
                     )
###
# Add cvpcb as install target
###
install(TARGETS cvpcb
        DESTINATION ${KICAD_BIN}
        COMPONENT binary)

=== kicad/demos/CMakeLists.txt ===
install(DIRECTORY complex_hierarchy ecc83 electric flat_hierarchy interf_u microwave
                  pic_programmer pspice "sonde xilinx" test_xil_95108 video
        DESTINATION ${KICAD_DEMOS}
        COMPONENT resources
        PATTERN ".svn" EXCLUDE)

=== kicad/eeschema/CMakeLists.txt ===
add_definitions(-DEESCHEMA)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
                    ${CMAKE_SOURCE_DIR}/common
                    ${Boost_INCLUDE_DIR}
                   )

set(EESCHEMA_SRCS
    annotate.cpp
    backanno.cpp
    block.cpp
    block_libedit.cpp
    build_BOM.cpp
    busentry.cpp
    bus-wire-junction.cpp
    class_drc_erc_item.cpp
    class_libentry.cpp
    class_library.cpp
    class_netlist_object.cpp
    cmp_library_keywords.cpp
    cmp_library_lexer.cpp
    component_references_lister.cpp
    controle.cpp
    cross-probing.cpp
    dangling_ends.cpp
    database.cpp
    delsheet.cpp
    dialogs/dialog_color_config.cpp
    dialogs/dialog_plot_schematic_DXF.cpp
    dialogs/dialog_plot_schematic_DXF_base.cpp
    dialogs/dialog_plot_schematic_HPGL.cpp
    dialogs/dialog_plot_schematic_HPGL_base.cpp
    dialogs/dialog_plot_schematic_PS.cpp
    dialogs/dialog_plot_schematic_PS_base.cpp
    dialogs/annotate_dialog.cpp
    dialogs/dialog_annotate_base.cpp
    dialogs/dialog_lib_edit_text.cpp
    dialogs/dialog_lib_edit_text_base.cpp
    dialogs/dialog_build_BOM.cpp
    dialogs/dialog_build_BOM_base.cpp
    dialogs/dialog_edit_component_in_lib.cpp
    dialogs/dialog_edit_component_in_lib_base.cpp
    dialogs/dialog_edit_component_in_schematic_fbp.cpp
    dialogs/dialog_edit_component_in_schematic.cpp
    dialogs/dialog_edit_label.cpp
    dialogs/dialog_edit_label_base.cpp
    dialogs/dialog_edit_libentry_fields_in_lib.cpp
    dialogs/dialog_edit_libentry_fields_in_lib_base.cpp
    dialogs/dialog_eeschema_config.cpp
    dialogs/dialog_eeschema_config_fbp.cpp
    dialogs/dialog_eeschema_options_base.cpp
    dialogs/dialog_eeschema_options.cpp
    dialogs/dialog_erc.cpp
    dialogs/dialog_erc_base.cpp
    dialogs/dialog_libedit_dimensions.cpp
    dialogs/dialog_libedit_dimensions_base.cpp
    dialogs/dialog_lib_edit_draw_item.cpp
    dialogs/dialog_lib_edit_draw_item_base.cpp
    dialogs/dialog_lib_edit_pin.cpp
    dialogs/dialog_lib_edit_pin_base.cpp
    dialogs/dialog_lib_new_component.cpp
    dialogs/dialog_lib_new_component_base.cpp
    dialogs/dialog_print_using_printer_base.cpp
    dialogs/dialog_print_using_printer.cpp
    dialogs/dialog_sch_edit_sheet_pin.cpp
    dialogs/dialog_sch_edit_sheet_pin_base.cpp
    dialogs/dialog_sch_sheet_props.cpp
    dialogs/dialog_sch_sheet_props_base.cpp
    dialogs/dialog_schematic_find.cpp
    dialogs/dialog_schematic_find_base.cpp
    dialogs/dialog_SVG_print.cpp
    dialogs/dialog_SVG_print_base.cpp
    edit_component_in_schematic.cpp
    edit_label.cpp
    eelibs_read_libraryfiles.cpp
    eeredraw.cpp
    eeschema.cpp
    eeschema_config.cpp
    erc.cpp
    events_called_functions_for_edit.cpp
    files-io.cpp
    find.cpp
    getpart.cpp
    hierarch.cpp
    hotkeys.cpp
    libarch.cpp
    libedit.cpp
    libeditframe.cpp
    libedit_onleftclick.cpp
    libedit_onrightclick.cpp
    libedit_plot_component.cpp
    libedit_undo_redo.cpp
    lib_arc.cpp
    lib_bezier.cpp
    lib_circle.cpp
    lib_collectors.cpp
    lib_draw_item.cpp
    lib_export.cpp
    lib_field.cpp
    lib_pin.cpp
    lib_polyline.cpp
    lib_rectangle.cpp
    lib_text.cpp
    libfield.cpp
    load_one_schematic_file.cpp
    menubar.cpp
    menubar_libedit.cpp
    netform.cpp
    netlist_control.cpp
    netlist.cpp
    onleftclick.cpp
    onrightclick.cpp
    operations_on_items_lists.cpp
    pinedit.cpp
    plot.cpp
    sch_bus_entry.cpp
    sch_collectors.cpp
    sch_component.cpp
    sch_field.cpp
    sch_junction.cpp
    sch_line.cpp
    sch_marker.cpp
    sch_no_connect.cpp
    sch_polyline.cpp
    sch_screen.cpp
    sch_sheet.cpp
    sch_sheet_path.cpp
    sch_sheet_pin.cpp
    sch_text.cpp
    schedit.cpp
    schematic_undo_redo.cpp
    schframe.cpp
    selpart.cpp
    sheet.cpp
    sheetlab.cpp
    symbdraw.cpp
    symbedit.cpp
    template_fieldnames_keywords.cpp
    template_fieldnames.cpp
    tool_lib.cpp
    tool_sch.cpp
    tool_viewlib.cpp
    transform.cpp
    viewlib_frame.cpp
    viewlibs.cpp)

set(EESCHEMA_EXTRA_SRCS
    ../common/dialogs/dialog_page_settings.cpp
    ../common/sch_item_struct.cpp
)

if(WIN32)
    if(MINGW)
        # EESCHEMA_RESOURCES variable is set by the macro.
        mingw_resource_compiler(eeschema)
    else(MINGW)
        set(EESCHEMA_RESOURCES eeschema.rc)
    endif(MINGW)
endif(WIN32)

if(APPLE)
    set(EESCHEMA_RESOURCES eeschema.icns eeschema_doc.icns)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/eeschema.icns"
                                PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set(MACOSX_BUNDLE_ICON_FILE eeschema.icns)
    set(MACOSX_BUNDLE_GUI_IDENTIFIER org.kicad-eda.eeschema)
endif(APPLE)


# auto-generate cmp_library_lexer.h and cmp_library_keywords.cpp for the component
# library format.
make_lexer(
   ${CMAKE_CURRENT_SOURCE_DIR}/cmp_library.keywords
   ${CMAKE_CURRENT_SOURCE_DIR}/cmp_library_lexer.h
   ${CMAKE_CURRENT_SOURCE_DIR}/cmp_library_keywords.cpp
   TLIB_T
   )

make_lexer(
    ${CMAKE_CURRENT_SOURCE_DIR}/template_fieldnames.keywords
    ${CMAKE_CURRENT_SOURCE_DIR}/template_fieldnames_lexer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/template_fieldnames_keywords.cpp
    TFIELD_T
    )

add_executable(eeschema WIN32 MACOSX_BUNDLE ${EESCHEMA_SRCS} ${EESCHEMA_EXTRA_SRCS}
    ${EESCHEMA_RESOURCES})

if(APPLE)
    set_target_properties(eeschema PROPERTIES MACOSX_BUNDLE_INFO_PLIST
        ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
endif(APPLE)

target_link_libraries(eeschema common bitmaps kbool polygon ${wxWidgets_LIBRARIES}
    ${GDI_PLUS_LIBRARIES})

install(TARGETS eeschema
        DESTINATION ${KICAD_BIN}
        COMPONENT binary)

add_subdirectory(plugins)

=== kicad/gerbview/CMakeLists.txt ===
add_definitions(-DGERBVIEW -DPCBNEW)

###
# Includes
###
include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${Boost_INCLUDE_DIR}
                    ../3d-viewer
                    ../common
                    ../cvpcb
                    ../pcbnew
                    ../polygon)
###
# Sources
###

set(DIALOGS_SRCS
    dialogs/gerbview_dialog_display_options_frame_base.cpp
    dialogs/gerbview_dialog_display_options_frame.cpp
    dialogs/dialog_layers_select_to_pcb_base.cpp
    dialogs/dialog_print_using_printer.cpp
    dialogs/dialog_print_using_printer_base.cpp
    )

set(GERBVIEW_SRCS
    block.cpp
    class_am_param.cpp
    class_aperture_macro.cpp
    class_DCodeSelectionbox.cpp
    class_GERBER.cpp
    class_gerber_draw_item.cpp
    class_gerbview_layer_widget.cpp
    controle.cpp
    dcode.cpp
    draw_gerber_screen.cpp
    events_called_functions.cpp
    excellon_read_drill_file.cpp
    export_to_pcbnew.cpp
    files.cpp
    gerbview.cpp
    gerbview_config.cpp
    gerbview_frame.cpp
    hotkeys.cpp
    initpcb.cpp
    locate.cpp
    menubar.cpp
    onleftclick.cpp
    onrightclick.cpp
    options.cpp
    pcbplot.cpp
    readgerb.cpp
    rs274_read_XY_and_IJ_coordinates.cpp
    rs274d.cpp
    rs274x.cpp
    select_layers_to_pcb.cpp
    toolbars_gerber.cpp
    )

###
# We need some extra sources from pcbnew
###
set(GERBVIEW_EXTRA_SRCS
    ../pcbnew/layer_widget.cpp
    ../pcbnew/printout_controler.cpp
)

###
# Windows resource file
###
if(WIN32)
    if(MINGW)
        # GERBVIEW_RESOURCES variable is set by the macro.
        mingw_resource_compiler(gerbview)
    else(MINGW)
        set(GERBVIEW_RESOURCES gerbview.rc)
    endif(MINGW)
endif(WIN32)

###
# Apple resource files
###
if(APPLE)
    set(GERBVIEW_RESOURCES gerbview.icns gerbview_doc.icns)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/gerbview.icns"
                                PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/gerbview_doc.icns"
                                PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set(MACOSX_BUNDLE_ICON_FILE gerbview.icns)
    set(MACOSX_BUNDLE_GUI_IDENTIFIER org.kicad-eda.gerbview)
endif(APPLE)

###
# Create the gerbview executable
###
add_executable(gerbview WIN32 MACOSX_BUNDLE
               ${GERBVIEW_SRCS}
               ${DIALOGS_SRCS}
               ${GERBVIEW_EXTRA_SRCS}
               ${GERBVIEW_RESOURCES})

###
# Set properties for APPLE on gerbview target
###
if(APPLE)
    set_target_properties(gerbview PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
endif(APPLE)

###
# Link executable target gerbview with correct libraries
###
target_link_libraries(gerbview common pcbcommon 3d-viewer polygon bitmaps kbool
                      ${OPENGL_LIBRARIES}
                      ${wxWidgets_LIBRARIES}
                      ${GDI_PLUS_LIBRARIES})

###
# Add gerbview as install target
###
install(TARGETS gerbview
        DESTINATION ${KICAD_BIN}
        COMPONENT binary)

=== kicad/kicad/CMakeLists.txt ===
add_definitions(-DKICAD)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${Boost_INCLUDE_DIR}
                    )

set(KICAD_SRCS
    class_treeprojectfiles.cpp
    class_treeproject_item.cpp
    commandframe.cpp
    files-io.cpp
    kicad.cpp
    mainframe.cpp
    menubar.cpp
    preferences.cpp
    prjconfig.cpp
    tree_project_frame.cpp)

if(WIN32)
    if(MINGW)
        # KICAD_RESOURCES variable is set by the macro.
        mingw_resource_compiler(kicad)
    else(MINGW)
        set(KICAD_RESOURCES kicad.rc)
    endif(MINGW)
endif(WIN32)

if(APPLE)
    set(KICAD_RESOURCES kicad.icns kicad_doc.icns)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/kicad.icns"
                                PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/kicad_doc.icns"
                                PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set(MACOSX_BUNDLE_ICON_FILE kicad.icns)
    set(MACOSX_BUNDLE_GUI_IDENTIFIER org.kicad-eda.kicad)
    set(MACOSX_BUNDLE_NAME kicad)
endif(APPLE)

add_executable(kicad WIN32 MACOSX_BUNDLE
               ${KICAD_SRCS}
               ${KICAD_EXTRA_SRCS}
               ${KICAD_RESOURCES}
              )

if(APPLE)
    set_target_properties(kicad PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
	target_link_libraries(kicad common bitmaps kbool polygon ${wxWidgets_LIBRARIES})
else(APPLE)
	target_link_libraries(kicad common bitmaps kbool polygon ${wxWidgets_LIBRARIES} ${GDI_PLUS_LIBRARIES})
endif(APPLE)

install(TARGETS kicad
        DESTINATION ${KICAD_BIN}
        COMPONENT binary)

if(KICAD_MINIZIP)
    add_subdirectory(minizip)
endif(KICAD_MINIZIP)

=== kicad/new/CMakeLists.txt ===

set( STAND_ALONE true )

if( STAND_ALONE )
    project(kicad-new)

    cmake_minimum_required(VERSION 2.6.4 FATAL_ERROR)

    set( PROJECT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../ )

    # Path to local CMake modules.
    set( CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMakeModules )

    include( CheckFindPackageResult )

    find_package(Doxygen)

    # On Apple only wxwidgets 2.9 or higher doesn't need to find aui part of base
    if(APPLE)
        find_package(wxWidgets COMPONENTS gl adv html core net base xml QUIET)
    else()
        find_package(wxWidgets COMPONENTS gl aui adv html core net base xml QUIET)
    endif()

    check_find_package_result( wxWidgets_FOUND "wxWidgets" )

    # make config.h
    include(PerformFeatureChecks)
    perform_feature_checks()

    # Include wxWidgets macros.
    include( ${wxWidgets_USE_FILE} )

    include_directories( ${PROJECT_SOURCE_DIR}/include )

    if(CMAKE_COMPILER_IS_GNUCXX)
        # Set default flags for Release build.
        set(CMAKE_C_FLAGS_RELEASE "-Wall -O2 -DNDEBUG ")
        set(CMAKE_CXX_FLAGS_RELEASE "-Wall -O2 -DNDEBUG")
        set(CMAKE_EXE_LINKER_FLAGS_RELEASE "-s -static-libgcc")

        # Set default flags for Debug build.
        set(CMAKE_C_FLAGS_DEBUG "-Wall -g3 -ggdb3 -DDEBUG")
        set(CMAKE_CXX_FLAGS_DEBUG "-Wall -g3 -ggdb3 -DDEBUG")
    endif(CMAKE_COMPILER_IS_GNUCXX)

    include(Functions)

endif()



#================================================
# Doxygen Output
#================================================
if(DOXYGEN_FOUND)
    add_custom_target( new-docs ${DOXYGEN_EXECUTABLE}
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        DEPENDS Doxyfile )
else(DOXYGEN_FOUND)
    message( STATUS "WARNING: Doxygen not found - new-docs (Source Docs) target not created" )
endif()


include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )
include_directories( ${CMAKE_BINARY_DIR} )

#=====<on standby for possible C++ unit testing>================================
if( false )

    add_executable( test_dir_lib_source
        sch_dir_lib_source.cpp
        )
    target_link_libraries( test_dir_lib_source ${wxWidgets_LIBRARIES} )

    add_executable( test_sch_part sch_part.cpp )
    target_link_libraries( test_sch_part ${wxWidgets_LIBRARIES} )

    add_executable( test_lpid
        sch_lpid.cpp
        )
    target_link_libraries( test_lpid ${wxWidgets_LIBRARIES} )

endif( false )

#=====</on standby for possible C++ unit testing>===============================


make_lexer(
    ${CMAKE_CURRENT_SOURCE_DIR}/sch_lib_table.keywords
    ${CMAKE_CURRENT_SOURCE_DIR}/sch_lib_table_lexer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/sch_lib_table_keywords.cpp
    LT
    )

make_lexer(
    ${CMAKE_CURRENT_SOURCE_DIR}/sweet.keywords
    ${CMAKE_CURRENT_SOURCE_DIR}/sweet_lexer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/sweet_keywords.cpp
    PR
    )


add_library( sweet SHARED
    sch_lib_table.cpp
    sch_lib_table_keywords.cpp
    sch_lib.cpp
    sch_lpid.cpp
    sch_dir_lib_source.cpp
    sch_part.cpp
    sch_sweet_parser.cpp
    sweet_keywords.cpp
    ${PROJECT_SOURCE_DIR}/common/richio.cpp
    ${PROJECT_SOURCE_DIR}/common/dsnlexer.cpp
    )
target_link_libraries( sweet ${wxWidgets_LIBRARIES} )

# talk to import_export.h
set_target_properties( sweet PROPERTIES
    DEFINE_SYMBOL COMPILING_DLL
    )

add_executable( test_sch_lib_table test_sch_lib_table.cpp )
if( MINGW )
    set_target_properties( test_sch_lib_table PROPERTIES
        LINK_FLAGS -Wl,--enable-auto-import
    )
endif()
target_link_libraries( test_sch_lib_table sweet )


#=====<USE_SWIG>============================================================
# if you want a Python scripting layer on top for unit testing or driving.
# reference: http://www.swig.org/Doc1.3/Introduction.html#Introduction_build_system

option( USE_SWIG "Use SWIG to build a python scripting interface (default OFF)." OFF)
if( USE_SWIG )

    find_package( SWIG REQUIRED )
    include( ${SWIG_USE_FILE} )

    # first install "python-dev" linux package for this:
    find_package( PythonLibs )
    include_directories( ${PYTHON_INCLUDE_PATH} )

    set( CMAKE_SWIG_FLAGS "" )

    set_source_files_properties( sweet.i PROPERTIES CPLUSPLUS ON )
    #set_source_files_properties( sweet.i PROPERTIES SWIG_FLAGS "-includeall" )

    swig_add_module( sweet python sweet.i )
    swig_link_libraries( sweet ${PYTHON_LIBRARIES} sweet )

    # @todo need a separate interface for each DSNLEXER

endif()

=== kicad/pcbnew/CMakeLists.txt ===
add_definitions(-DPCBNEW)

###
# Includes
###
include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
                    ${Boost_INCLUDE_DIR}
                    ../3d-viewer
                    ../common
                    ../polygon)

###
# Sources
#
# NOTE: Many of the commented out ones are nested in *.cpp files for dialogs
###
if( USE_BOOST_POLYGON_LIBRARY )
    set(PCBNEW_SRC_FILL_ZONE zones_convert_brd_items_to_polygons_with_Boost.cpp)
else( USE_BOOST_POLYGON_LIBRARY )
    set(PCBNEW_SRC_FILL_ZONE zones_convert_brd_items_to_polygons_with_Kbool.cpp)
endif( USE_BOOST_POLYGON_LIBRARY )

set(PCBNEW_DIALOGS
    dialogs/dialog_block_options_base.cpp
    dialogs/dialog_cleaning_options_base.cpp
    dialogs/dialog_cleaning_options.cpp
    dialogs/dialog_copper_zones.cpp
    dialogs/dialog_copper_zones_base.cpp
    dialogs/dialog_design_rules.cpp
    dialogs/dialog_design_rules_base.cpp
    dialogs/dialog_display_options.cpp
    dialogs/dialog_display_options_base.cpp
    dialogs/dialog_drc_base.cpp
    dialogs/dialog_drc.cpp
    dialogs/dialog_edit_module_for_BoardEditor.cpp
    dialogs/dialog_edit_module_for_BoardEditor_base.cpp
    dialogs/dialog_edit_module_for_Modedit_base.cpp
    dialogs/dialog_edit_module_for_Modedit.cpp
    dialogs/dialog_edit_module_text.cpp
    dialogs/dialog_edit_module_text_base.cpp
    dialogs/dialog_exchange_modules_base.cpp
    dialogs/dialog_export_3Dfiles_base.cpp
    dialogs/dialog_freeroute_exchange.cpp
    dialogs/dialog_freeroute_exchange_base.cpp
    dialogs/dialog_gendrill.cpp
    dialogs/dialog_gendrill_base.cpp
    dialogs/dialog_general_options.cpp
    dialogs/dialog_general_options_BoardEditor_base.cpp
    dialogs/dialog_global_edit_tracks_and_vias.cpp
    dialogs/dialog_global_edit_tracks_and_vias_base.cpp
    dialogs/dialog_global_pads_edition_base.cpp
    dialogs/dialog_graphic_items_options.cpp
    dialogs/dialog_graphic_items_options_base.cpp
    dialogs/dialog_graphic_item_properties.cpp
    dialogs/dialog_graphic_item_properties_base.cpp
    dialogs/dialog_global_deletion.cpp
    dialogs/dialog_global_deletion_base.cpp
    dialogs/dialog_layers_setup.cpp
    dialogs/dialog_layers_setup_base.cpp
    dialogs/dialog_netlist.cpp
    dialogs/dialog_netlist_fbp.cpp
    dialogs/dialog_pcb_text_properties.cpp
    dialogs/dialog_pcb_text_properties_base.cpp
    dialogs/dialog_non_copper_zones_properties_base.cpp
    dialogs/dialog_pad_properties.cpp
    dialogs/dialog_pad_properties_base.cpp
    dialogs/dialog_pcbnew_config_libs_and_paths.cpp
    dialogs/dialog_pcbnew_config_libs_and_paths_fbp.cpp
    dialogs/dialog_plot_base.cpp
    dialogs/dialog_print_for_modedit.cpp
    dialogs/dialog_print_for_modedit_base.cpp
    dialogs/dialog_print_using_printer.cpp
    dialogs/dialog_print_using_printer_base.cpp
    dialogs/dialog_orient_footprints.cpp
    dialogs/dialog_orient_footprints_base.cpp
    dialogs/dialog_mask_clearance.cpp
    dialogs/dialog_mask_clearance_base.cpp
    dialogs/dialog_SVG_print.cpp
    dialogs/dialog_SVG_print_base.cpp
    dialogs/dialog_set_grid_base.cpp
    )

set(PCBNEW_SRCS
    pcbframe.cpp
    attribut.cpp
    automove.cpp
    autoplac.cpp
    autorout.cpp
    board.cpp
    board_items_to_polygon_shape_transform.cpp
    board_undo_redo.cpp
    block.cpp
    block_module_editor.cpp
    build_BOM_from_board.cpp
    class_pcb_layer_widget.cpp
    clean.cpp
    connect.cpp
    controle.cpp
    dimension.cpp
    cross-probing.cpp
    debug_kbool_key_file_fct.cpp
    deltrack.cpp
    ${PCBNEW_DIALOGS}
    dist.cpp
    dragsegm.cpp
    drc.cpp
    drc_clearance_test_functions.cpp
    drc_marker_functions.cpp
    edgemod.cpp
    edit.cpp
    editedge.cpp
    editmod.cpp
    editrack.cpp
    editrack-part2.cpp
    edit_pcb_text.cpp
    edit_track_width.cpp
    edtxtmod.cpp
    event_handlers_tracks_vias_sizes.cpp
    export_gencad.cpp
    export_vrml.cpp
    files.cpp
    find.cpp
    gen_drill_report_files.cpp
    gen_holes_and_tools_lists_for_drill.cpp
    gen_modules_placefile.cpp
    gendrill.cpp
    globaleditpad.cpp
    gpcb_exchange.cpp
    graphpcb.cpp
    hotkeys.cpp
    hotkeys_board_editor.cpp
    hotkeys_module_editor.cpp
    initpcb.cpp
    ioascii.cpp
    layer_widget.cpp
    librairi.cpp
    loadcmp.cpp
    locate.cpp
    magnetic_tracks_functions.cpp
    menubar_modedit.cpp
    menubar_pcbframe.cpp
    mirepcb.cpp
    modedit.cpp
    modedit_onclick.cpp
    modeditoptions.cpp
    modedit_undo_redo.cpp
    moduleframe.cpp
    modules.cpp
    move-drag_pads.cpp
    move_or_drag_track.cpp
    muonde.cpp
    muwave_command.cpp
    netlist.cpp
    onleftclick.cpp
    onrightclick.cpp
    pcb_plot_params.cpp
    pcb_plot_params_keywords.cpp
    pcbnew.cpp
    pcbnew_config.cpp
    pcbplot.cpp
    plotgerb.cpp
    plothpgl.cpp
    plotps.cpp
    plotdxf.cpp
    plot_rtn.cpp
    print_board_functions.cpp
    printout_controler.cpp
    queue.cpp
    ratsnest.cpp
    set_grid.cpp
    solve.cpp
    specctra.cpp
    specctra_export.cpp
    specctra_import.cpp
    specctra_keywords.cpp
    surbrill.cpp
    swap_layers.cpp
    tool_modedit.cpp
    tool_onrightclick.cpp
    tool_pcb.cpp
    toolbars_update_user_interface.cpp
    tracepcb.cpp
    track.cpp
    tr_modif.cpp
    trpiste.cpp
    work.cpp
    xchgmod.cpp
    ${PCBNEW_SRC_FILL_ZONE}
    zones_convert_to_polygons_aux_functions.cpp
    zones_by_polygon.cpp
    zones_by_polygon_fill_functions.cpp
    zone_filling_algorithm.cpp
    zones_functions_for_undo_redo.cpp
    zones_non_copper_type_functions.cpp
    zones_polygons_insulated_copper_islands.cpp
    zones_polygons_test_connections.cpp
    zones_test_and_combine_areas.cpp
    )

###
# We need some extra sources from common
###
set(PCBNEW_EXTRA_SRCS
    ../common/dialogs/dialog_page_settings.cpp
)

###
# Windows resource file
###
if(WIN32)
    if(MINGW)
        # PCBNEW_RESOURCES variable is set by the macro.
        mingw_resource_compiler(pcbnew)
    else(MINGW)
        set(PCBNEW_RESOURCES pcbnew.rc)
    endif(MINGW)
endif(WIN32)

###
# Set properties for APPLE on pcbnew target
###
if(APPLE)
    set(PCBNEW_RESOURCES pcbnew.icns pcbnew_doc.icns)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/pcbnew.icns"
                                PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/pcbnew_doc.icns"
                                PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set(MACOSX_BUNDLE_ICON_FILE pcbnew.icns)
    set(MACOSX_BUNDLE_GUI_IDENTIFIER org.kicad-eda.pcbnew)
    set(MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
endif(APPLE)

# Create a C++ compilable string initializer containing html text into a *.h file:
add_custom_command(
    OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/dialog_freeroute_exchange_help_html.h
    COMMAND ${CMAKE_COMMAND}
        -DinputFile=${CMAKE_CURRENT_SOURCE_DIR}/dialogs/dialog_freeroute_exchange_help.html
        -DoutputFile=${CMAKE_CURRENT_SOURCE_DIR}/dialogs/dialog_freeroute_exchange_help_html.h
        -P ${CMAKE_MODULE_PATH}/Html2C.cmake
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/dialog_freeroute_exchange_help.html
    COMMENT "creating ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/dialog_freeroute_exchange_help_html.h
       from ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/dialog_freeroute_exchange_help.html"
    )

set_source_files_properties( dialogs/dialog_freeroute_exchange.cpp
    PROPERTIES
        OBJECT_DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/dialog_freeroute_exchange_help_html.h
    )


# auto-generate specctra_lexer.h and specctra_keywords.cpp
make_lexer(
   ${CMAKE_CURRENT_SOURCE_DIR}/specctra.keywords
   ${CMAKE_CURRENT_SOURCE_DIR}/specctra_lexer.h
   ${CMAKE_CURRENT_SOURCE_DIR}/specctra_keywords.cpp
   DSN
   )


# auto-generate pcb_plot_params_lexer.h and pcb_plot_params_keywords.cpp
make_lexer(
   ${CMAKE_CURRENT_SOURCE_DIR}/pcb_plot_params.keywords
   ${CMAKE_CURRENT_SOURCE_DIR}/pcb_plot_params_lexer.h
   ${CMAKE_CURRENT_SOURCE_DIR}/pcb_plot_params_keywords.cpp
   PCBPLOTPARAMS_T
   )


###
# Create the pcbnew executable
###
add_executable(pcbnew WIN32 MACOSX_BUNDLE
               ${PCBNEW_SRCS}
               ${PCBNEW_EXTRA_SRCS}
               ${PCBNEW_RESOURCES}
              )

###
# Set properties for APPLE on pcbnew target
###
if(APPLE)
    set_target_properties(pcbnew PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
endif(APPLE)

###
# Link executable target pcbnew with correct libraries
###
target_link_libraries(pcbnew 3d-viewer common pcbcommon polygon bitmaps kbool
                      ${OPENGL_LIBRARIES}
                      ${wxWidgets_LIBRARIES}
                      ${GDI_PLUS_LIBRARIES})

###
# Add pcbnew as install target
###
install(TARGETS pcbnew
        DESTINATION ${KICAD_BIN}
        COMPONENT binary)


# The specctra test fails to build properly using MS Visual Studio.
if(NOT MSVC)
    # This one gets made only when testing.
    add_executable(specctra_test EXCLUDE_FROM_ALL specctra_test.cpp specctra.cpp)
    target_link_libraries(specctra_test common ${wxWidgets_LIBRARIES})
endif(NOT MSVC)

# This one gets made only when testing.
add_executable(layer_widget_test WIN32 EXCLUDE_FROM_ALL
    layer_widget.cpp
    )
target_link_libraries(layer_widget_test common ${wxWidgets_LIBRARIES})

=== debian/changelog ===
kicad (0.0.20110616-1) unstable; urgency=low

  * upgraded to the latest upstream version.
  * included the files sent by their author, by email 
    <4DF93DA9.50504@iridec.com.au>, Closes: #630453

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 16 Jun 2011 22:52:02 +0200

kicad (0.0.20110507-1) unstable; urgency=low

  * upgraded to the new upstream version. Closes: #624439

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 07 May 2011 16:52:33 +0200

kicad (0.0.20101024-2) unstable; urgency=low

  * changed the format to 3.0 (quilt)
  * enabled the parallel build feature in debian/rules

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 24 Oct 2010 10:54:16 +0200

kicad (0.0.20101024-1) unstable; urgency=low

  * Maintainer change. 
    - Closes: #599427
  * changed the way sources are downloaded. See debian/packagesrc.sh
  * upgraded to newest stable release. 
    - Closes: #590483
    - Closes: #580497
  * moved the dependency on extra-xdg-menus to Suggests: level. 
    - Closes: #577282
  * added a list of auto-generated files to remove upon clean target

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 24 Oct 2010 02:34:38 +0200

kicad (0.0.20100314-1) unstable; urgency=low

  * New upstream (Closes: #575018).
  * Update Standards-Version to 3.8.4 (no changes needed).

 -- Richard Antony Burton <richardaburton@gmail.com>  Sun, 28 Mar 2010 12:58:23 +0000

kicad (0.0.20090216-1) unstable; urgency=low

  * New upstream release. (Closes: #529628)
  *  - Upstream fix. (Closes: #532367)
  *  - Upstream fix. (Closes: #509956)
  * Move shortcut to electronics section. (Closes: #536307)
  * Suggest documentation. (Closes: #502546)
  * Update Standards-Version to 3.8.3 (no changes needed).

 -- Richard Antony Burton <richardaburton@gmail.com>  Sat, 26 Sep 2009 12:47:27 +0000

kicad (0.0.20080825c-1) unstable; urgency=low

  * New upstream release. (Closes: #496897)
  * Use new cmake build system.
  * Use new svn repository layout.
  * Build using wxWidgets 2.8. (Closes: #398615)
  * Require debhelper 6 to get fix for 459426.
  * Upstream performance improvement for redraw. (Closes: #469516)
  * Moved examples to /usr/share/doc/kicad/demos
  * Update Standards-Version to 3.8.0 (no changes needed).
  * Add more language packages, for tutorials.
  * Only en & fr manuals included, rest not currently maintained upstream.

 -- Richard Antony Burton <richardaburton@gmail.com>  Sun, 21 Sep 2008 19:58:47 +0100

kicad (0.0.20071129a-1) unstable; urgency=low

  * New upstream release.
  * Fix menu icon (not the gnome one).
  * Update Standards-Version to 3.7.3.0 (Debian menu structure change only).

 -- Richard Antony Burton <richardaburton@gmail.com>  Wed, 19 Dec 2007 17:04:33 +0000

kicad (0.0.20070702-1) unstable; urgency=low

  * New upstream release.
  * Added man pages for binaries. (Closes: #429223)
  * All patches from previous version now included upstream.

 -- Richard Antony Burton <richardaburton@gmail.com>  Sun, 08 Jul 2007 09:15:42 +0100

kicad (0.0.20070525-1) unstable; urgency=low

  * New upstream release (Closes: #423873)
  * Install help files to correct location (Closes: #404783)
  * For languages without native help files the English doc package is pulled in
    with the non-English doc package, so there is at least some help.
  * Not removing all binaries removed during 'clean' (Closes: #424455)
  * Patch for the 3D Display image export problem (Closes: #423882)

 -- Richard Antony Burton <richardaburton@gmail.com>  Sun, 27 May 2007 13:43:01 +0100

kicad (0.0.20060829-2) unstable; urgency=low

  * Fixing wrong location of helpfiles (Closes: #404783) (djp)

 -- Daniel J. Priem <danielpriem@flexserv.de>  Thu, 28 Dec 2006 12:20:31 +0100

kicad (0.0.20060829-1) unstable; urgency=low

  * now binNMU safe (rab)
  * This version is 20060828 but since i forgot something inside the orig.tar.gz i must increase the version number (djp)
  * Added newer documentation (djp)
  * Added some updated po files (djp)
  * Added italian help files (djp)

 -- Daniel J. Priem <danielpriem@flexserv.de>  Sun, 12 Nov 2006 21:40:23 +0100

kicad (0.0.20060828-1) unstable; urgency=low

  * New upstream.
  * Split help files out into separate language-specific packages.

 -- Debian Kicad Team <kicad-devel@lists.mose.flexserv.de>  Fri,  3 Nov 2006 19:33:07 +0100

kicad (0.0.20060626-1) unstable; urgency=low

  * Initial release (Closes: #278581)

 -- Richard Antony Burton <richardaburton@hotmail.com>  Sat, 30 Sep 2006 22:24:06 +0200

=== debian/control ===
Source: kicad
Section: electronics
Priority: optional
Maintainer:  Georges Khaznadar <georgesk@ofset.org>
Uploaders: Richard Antony Burton <richardaburton@gmail.com>, Daniel J. Priem <danielpriem@flexserv.de>
Build-Depends: debhelper (>= 7.0.50~), quilt, libx11-dev, libglu1-mesa-dev, libgl1-mesa-dev, mesa-common-dev, libwxbase2.8-dev, libwxgtk2.8-dev, libboost-dev, cmake (>= 2.6.0)
Standards-Version: 3.9.1
Homepage: http://iut-tice.ujf-grenoble.fr/kicad/

Package: kicad
Architecture: any
Depends: kicad-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, zlib-bin
Replaces: kicad-common (<< 0.0.20071129a-1)
Suggests: extra-xdg-menus,
	kicad-doc-en | kicad-doc-fr | kicad-doc-de | kicad-doc-es | kicad-doc-hu | kicad-doc-ru | kicad-doc-zh-cn
Description: Electronic schematic and PCB design software
 Kicad is a suite of programs for the creation of printed circuit boards.
 It includes a schematic editor, a PCB layout tool, support tools and a
 3D viewer to display a finished & fully populated PCB.
 .
 Kicad is made up of 5 main components:
 .
  * kicad - project manager
  * eeschema - schematic editor
  * pcbnew - PCB editor
  * gerbview - GERBER viewer
  * cvpcb - footprint selector for components
 .
 Libraries:
  * Both eeschema and pcbnew have library managers and editors for their
    components and footprints
  * You can easily create, edit, delete and exchange library items
  * Documentation files can be associated with components, footprints and key
    words, allowing a fast search by function
  * Very large libraries are available for schematic components and footprints
  * Most components have corresponding 3D models

Package: kicad-common
Architecture: all
Depends: ${misc:Depends}
Recommends: kicad
Description: Common files used by kicad
 This package contains the component libraries and language files for Kicad.

Package: kicad-doc-de
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (German)
 This package provides documentation for Kicad in German.
 .
 This package does not provide a German translation of the manual, only the
 tutorial. Manual available in the French & English packages only.

Package: kicad-doc-en
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (English)
 This package provides documentation for Kicad in English.

Package: kicad-doc-es
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Spanish)
 This package provides documentation for Kicad in Spanish.
 .
 This package does not provide a Spanish translation of the manual, only the
 tutorial. Manual available in the French & English packages only.

Package: kicad-doc-fr
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (French)
 This package provides documentation for Kicad in French.

Package: kicad-doc-hu
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Hungarian)
 This package provides documentation for Kicad in Hungarian.
 .
 This package does not provide a Hungarian translation of the manual, only the
 tutorial. Manual available in the French & English packages only.

Package: kicad-doc-pt
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Portuguese)
 This package provides documentation for Kicad in Portuguese.

Package: kicad-doc-ru
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Russian)
 This package provides documentation for Kicad in Russian.
 .
 This package does not provide a Russian translation of the manual, only the
 tutorial. Manual available in the French & English packages only.

Package: kicad-doc-zh-cn
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Simplified Chinese)
 This package provides documentation for Kicad in Simplified Chinese.
 .
 This package does not provide a Simplified Chinese translation of the manual,
 only the tutorial. Manual available in the French & English packages only.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_clean:
	rm -rf $(CURDIR)/build
	# REMOVE AUTOMATICALLY GENERATED FILES	
	rm -f kicad/pcbnew/dialog_freeroute_exchange_help_html.h \
	      kicad/eeschema/cmp_library_base.h \
	      kicad/eeschema/cmp_library_base.cpp
	dh_clean

configure:
	mkdir -p $(CURDIR)/build/kicad
	mkdir -p $(CURDIR)/build/bitmaps
	cd $(CURDIR)/build/kicad && cmake -DKICAD_MINIZIP=0 \
		-DKICAD_DEMOS=$(CURDIR)/debian/kicad-common/usr/share/doc/kicad/demos ../../kicad \
		-DXPM_CPP_PATH=$(CURDIR)/build/bitmaps \
		-DKICAD_STABLE_VERSION=ON
	mkdir -p $(CURDIR)/build/kicad-doc
	cd $(CURDIR)/build/kicad-doc && cmake ../../kicad-doc
	mkdir -p $(CURDIR)/build/kicad-library
	cd $(CURDIR)/build/kicad-library && cmake ../../kicad-library

build: configure build-arch build-indep

build-indep:
	$(MAKE) -C $(CURDIR)/build/kicad-doc
	$(MAKE) -C $(CURDIR)/build/kicad-library

build-arch:
	$(MAKE) -C $(CURDIR)/build/kicad

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i
	dh_installdocs

	cd $(CURDIR)/build/kicad/demos && cmake -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc/internat && cmake -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-common/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad/template && cmake -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-common/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-library && cmake -DCOMPONENT=resources -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-common/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=file_formats -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-common/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=footprints_doc -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-common/usr -P cmake_install.cmake

	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=doc-de -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-de/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=help-de -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-de/usr -P cmake_install.cmake

	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=doc-en -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-en/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=help-en -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-en/usr -P cmake_install.cmake

	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=doc-es -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-es/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=help-es -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-es/usr -P cmake_install.cmake

	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=doc-fr -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-fr/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=help-fr -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-fr/usr -P cmake_install.cmake

	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=doc-hu -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-hu/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=help-hu -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-hu/usr -P cmake_install.cmake

#	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=doc-it -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-it/usr -P cmake_install.cmake
#	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=help-it -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-it/usr -P cmake_install.cmake

	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=doc-pt -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-pt/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=help-pt -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-pt/usr -P cmake_install.cmake

	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=doc-ru -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-ru/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=help-ru -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-ru/usr -P cmake_install.cmake

	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=doc-zh_CN -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-zh-cn/usr -P cmake_install.cmake
	cd $(CURDIR)/build/kicad-doc && cmake -DCOMPONENT=help-zh_CN -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad-doc-zh-cn/usr -P cmake_install.cmake

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	dh_installmenu -s

	$(MAKE) -C $(CURDIR)/build/kicad preinstall
	cd $(CURDIR)/build/kicad && cmake -DCOMPONENT=binary -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/kicad/usr -P cmake_install.cmake

	dh_installdocs
	dh_install -s

# Build architecture independant packages.
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_link -i
	dh_strip -i
# i don't want the helpfiles to be compressed
	dh_compress -i --exclude=kicad/help --exclude=kicad/demos --exclude=.pdf
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -s kicad/CHANGELOG.txt
	dh_installman -s $(CURDIR)/debian/man/*.1
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep
